
/* #define WatCom     */

#define TurboC



void Display();
void Printer();
void Printer1();


void IDELectDatR( int Val);

int IDEReady(int Timeout,int Mask,int Polarity);
int IDEReadyCodIO(int Timeout,int Mask,int Polarity);

void IDEStPr();

int IDELoop( int Val);
void IDEInit ();
int  IDELecture (char adresse);
void IDEEcriture (char adresse, int Data);



/* Adresse ATA IDE symbolique lecture CS0 */
#define RCData 0xD1
#define RCFeat 0xD5
#define RCSCnt	0xD3
#define RCSNum 0xD7
#define RCCyLl 0xF1
#define RCCyLh 0xF5
#define RCTete 0xF3
#define RCCmmd 0xF7

/* Adresse ATAPI IDE symbolique lecture Command Block registers CS0 */

#define RPIIrr	0xD3

/* dans RPIIrr */

#define IrrCoD 0x01
#define IrrIO  0x02

/* Adresse ATA IDE symbolique lecture Control Block registers CS1 */
#define DevCR  0xEB




/* commande ATA COMMAND : parametre dans registres en 8 bits */
#define ATANOP 0x00
#define ATARAZ 0x08

#define ATAEJT 0xED
#define ATADIA 0x90
#define ATAIDN 0xEC


/* commande ATA CDROM exclusive*/

#define ATAIDF 0xA1
#define ATAPKC 0xA0

/* commande ATAPI PACKET COMMAND */
#define PauResm	0x4B
#define Play1		0x45
#define Play2		0xA5
#define PlayMSF	0x47
#define PlayStp	0x4E

/*bit de status */
#define StBusy		0x80
#define StRdy		0x40
#define StDrq		0x08

/*signature ATAPI */
#define SignCyL	0x14
#define SignCyH	0xEB



